:root {
  /* Primary palette */
  --primary-color: #e54352;
  --primary-light: #f4efe8;

  /* Secondary palette */
  --secondary-color: #ff7c40;

  /* Accent palette */
  --accent-color: #00d2d9;
  --accent-dark: #747474;

  /* Shadow */
  --shadow-color: rgba(0, 0, 0, 0.2);

  /* Font weights */
  --font-weight-regular: 400;
  --font-weight-medium: 500;
  --font-weight-semi-bold: 600;
  --font-weight-extra-bold: 800;

  /* Font sizes */
  --font-size-xxl: 100px;
  --font-size-xl: 68px;
  --font-size-lg: 48px;
  --font-size-md: 40px;
  --font-size-base: 36px;
  --font-size-ml: 32px;
  --font-size-ms: 30px;
  --font-size-sm: 25px;
  --font-size-xs: 24px;
  --font-size-xxs: 20px;
  --font-size-xxxs: 16px;
  --font-size-xxxxs: 14px;

  /* Border radius */
  --border-radius-small: 20px;
  --border-radius-medium: 30px;
  --border-radius-big: 60px;

  /* Margin */
  --centering: 0 auto;

  /* Width / Height - margin on the sides */
  --large-screen-width: calc(100% - 400px);
  --smaller-screen-width: calc(100% - 100px);
  --mobile-screen-width: calc(100% - 60px);
  --scalable-width: 100%;
  --scalable-height: 100%;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  color: var(--primary-color);
  background-color: var(--primary-light);
}

body,
input,
.button {
  font-family: "REM", Helvetica, sans-serif;
  font-weight: var(--font-weight-regular);
}

h1,
h2,
h3,
h4,
.menu {
  font-family: "Gabarito", Helvetica, sans-serif;
  font-weight: var(--font-weight-extra-bold);
}

a {
  text-decoration: none;
  color: var(--primary-light);
}

/* Button styles */
.button,
footer input {
  border-style: none;
  border-radius: var(--border-radius-big);
  font-size: var(--font-size-xxxs);
  padding: 10px 30px;
}

.button {
  background-color: var(--primary-color);
  color: var(--primary-light);
  font-weight: var(--font-weight-semi-bold);
  cursor: pointer;
  transition: background-color 0.4s ease, transform 0.4s ease;
}

@media (hover: hover) {
  .button:hover {
    background-color: var(--primary-light);
    color: var(--primary-color);
    outline: 2px solid var(--primary-color);
  }

  .cream-orange-button:hover {
    background-color: var(--secondary-color);
    color: var(--primary-light);
    outline: 2px solid var(--primary-light);
  }

  .orange-button:hover {
    background-color: var(--primary-light);
    color: var(--secondary-color);
    outline: 2px solid var(--secondary-color);
  }
}

.cream-orange-button {
  background-color: var(--primary-light);
  color: var(--secondary-color);
}

.orange-button {
  background-color: var(--secondary-color);
}

/* Shared layouts */
.hamburger-icon,
#menu-checkbox,
.logo-mobile,
.icon-mobile-section {
  display: none;
}

.navigation-wrapper,
.footer-wrapper {
  display: flex;
  justify-content: space-between;
  max-width: 1600px;
  width: var(--large-screen-width); /* ensures 200px padding on both sides */
  margin: var(--centering);
}

/* Header (navigation menu) */
header {
  position: sticky;
  top: 0;
  z-index: 1000; /* to avoid the hover state to go over the header */
}

.navigation {
  background-color: var(--primary-light);
  padding: 8px 0 5px 0;
  box-shadow: 0 4px 23px 0 var(--shadow-color);
}

.navigation-wrapper {
  align-items: center;
}

.logo {
  width: 100px;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 50px;
}

nav ul a,
.header-icons > * {
  color: var(--primary-color);
}

.current {
  color: var(--accent-color);
}

@media (hover: hover) {
  nav ul a:hover {
    color: var(--accent-color);
  }
}

.header-icons {
  display: flex;
  gap: 10px;
  font-size: var(--font-size-sm);
  position: relative;
}

.fa-ticket {
  font-size: var(--font-size-ml);
  display: flex;
  align-self: center;
}

/* Search animation */
.search-container {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  gap: 10px;
  width: 30px;
}

.search-toggle {
  display: none;
}

.search-input {
  width: 0; /* initial state: 0 width */
  opacity: 0; /* makes it invisible by default */
  border: none;
  background-color: var(--primary-light);
  color: var(--accent-dark);
  outline: 2px solid var(--primary-color);
  border-radius: var(--border-radius-medium);
  transition: width 0.4s ease, opacity 0.3s ease, padding 0.4s ease; /* adds smooth animation for width, opacity and padding changes */
  height: 30px; /* sets a fixed height for the input field */
  transform-origin: right; /* makes the input's expansion originate from the right edge */
}

.search-input:focus {
  outline: 2px solid var(--accent-color);
}

.fa-magnifying-glass {
  cursor: pointer;
}

.search-toggle:checked ~ .search-input {
  width: 200px;
  opacity: 1;
  padding: 0 10px;
}

/* When menu is open, make hamburger icon --primary-light */
#menu-checkbox:checked + .hamburger-icon {
  color: var(--primary-light);
}

#menu-checkbox:checked + .hamburger-icon i {
  color: var(--primary-light);
}

/* Footer */
footer {
  background-color: var(--primary-light);
  padding: 100px 0;
  margin: var(--centering);
}

footer,
footer input,
.opening-times,
.social-media-icons > * {
  color: var(--primary-color);
}

/* Left side of footer */
.museum-info {
  width: 500px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.museum-text {
  font-size: var(--font-size-lg);
}

.opening-times {
  font-weight: var(--font-weight-semi-bold);
}

@media (hover: hover) {
  .opening-times:hover {
    text-decoration: 2px solid underline;
  }
}

.museum-info address {
  font-style: normal;
  width: 350px;
}

.bold-text {
  font-weight: var(--font-weight-semi-bold);
}

/* Right side of footer */
.newsletter-section {
  text-align: right;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#newsletter-heading {
  font-size: var(--font-size-base);
}

.newsletter-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.newsletter-form > * {
  margin-left: 10px;
}

#email {
  outline: 2px solid var(--primary-color);
}

#email:focus {
  outline: 2px solid var(--accent-color);
}

footer input {
  padding: 10px 20px;
  width: 300px;
}

.social-media-icons {
  font-size: var(--font-size-md);
}

.social-media-icons > * {
  margin-left: 5px;
}

@media (hover: hover) {
  .social-media-icons > *:hover {
    color: var(--secondary-color);
  }
}
